"use strict";
// Copyright IBM Corp. 2018. All Rights Reserved.
// Node module: @loopback/example-rpc-server
// This file is licensed under the MIT License.
// License text available at https://opensource.org/licenses/MIT
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@loopback/core");
const rpc_server_1 = require("./rpc.server");
const controllers_1 = require("./controllers");
class MyApplication extends core_1.Application {
    constructor(options = {}) {
        // Allow options to replace the defined components array, if desired.
        super(options);
        this.controller(controllers_1.GreetController);
        this.server(rpc_server_1.RPCServer);
        this.options.port = this.options.port || 3000;
        this.bind('rpcServer.config').to(this.options);
    }
}
exports.MyApplication = MyApplication;
//# sourceMappingURL=application.js.map